Перейти до вмісту
AstroWay/api v2.158.7 · docs
усі системи в нормі

Moon Aspects

POST
/moon-aspects
request.sh
curl -X POST https://api.astroway.info/v1/moon-aspects \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "year": 2024, "month": 6 }'

Calculate all aspects the Moon makes within a date range (applying and separating), useful for electional and horary work.

Media type application/json
object
year required
integer
>= 1 <= 9999
month required
integer
>= 1 <= 12
Example
{
"year": 2024,
"month": 6
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
events
Array<object>
nullable
object
jd
number
nullable
date
string
nullable
planetId
number
nullable
aspect
object
name
string
nullable
i18nKey
string
nullable
angle
number
nullable
orb
number
nullable
symbol
string
nullable
isMajor
boolean
nullable
color
string
nullable
moonLongitude
number
nullable
Example
{
"ok": true,
"data": {
"events": [
{
"jd": 2460462.6212771744,
"date": "2024-06-01T02:55:00.000Z",
"planetId": 8,
"aspect": {
"name": "Conjunction",
"i18nKey": "aspect_conjunction",
"angle": 0,
"orb": 12,
"symbol": "",
"isMajor": true,
"color": "#660480"
},
"moonLongitude": 359.66755752916276
}
]
}
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?